<mat-form-field class="dwfe-form-group-material" [formGroup]="group"
                [ngClass]="{ 'isFilled' : control.value,
                             'isChanged': markIfChanged && isChanged }"
                [appearance]="appearanceValue">

  <mat-label>{{labelText}}</mat-label>

  <mat-select [formControlName]="'ctrl'">

    <mat-option *ngFor="let item of items" [value]="item.value">
      {{app.i18nExtract(item.viewValue)}}
    </mat-option>

  </mat-select>

  <dwfe-form-control-clear class="dwfe-icon-clear-field" [control]="control"></dwfe-form-control-clear>

</mat-form-field>
